Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.signer.asic
Class AbstractASiCSignatureService

    java.lang.Object
      be.fedict.eid.applet.service.signer.AbstractXmlSignatureService
          be.fedict.eid.applet.service.signer.asic.AbstractASiCSignatureService

All Implemented Interfaces:
  SignatureService, SignatureServiceEx

    public class AbstractASiCSignatureService

extends AbstractXmlSignatureService
implements SignatureServiceEx

Abstract ASiC signature service implementation. Implements Associated Signature Containers according to ETSI TS 102 918 v1.1.1.

Author:
  Frank Cornelis.

Constructor Summary
`AbstractASiCSignatureService(InputStream documentInputStream, DigestAlgo digestAlgo, RevocationDataService revocationDataService, TimeStampService timeStampService, String claimedRole, IdentityDTO identity, byte[] photo, TemporaryDataStorage temporaryDataStorage, OutputStream documentOutputStream)`

Method Summary
`protected Document` | `getEnvelopingDocument()` Gives back the enveloping document.
`String` | `getFilesDigestAlgorithm()`
`protected String` | `getSignatureDescription()` Gives back the human-readable description of what the citizen will be signing.
`protected OutputStream` | `getSignedDocumentOutputStream()` Gives back the output stream to which to write the signed XML document.
`protected TemporaryDataStorage` | `getTemporaryDataStorage()` Gives back a temporary data storage component.
`protected URIDereferencer` | `getURIDereferencer()` Override this method to change the URI dereferener used by the signing engine.
`DigestInfo` | `preSign(List<DigestInfo> digestInfos, List<X509Certificate> signingCertificateChain, IdentityDTO identity, AddressDTO address, byte[] photo)`

Methods inherited from class be.fedict.eid.applet.service.signer.AbstractXmlSignatureService
`addSignatureFacet, getCanonicalizationMethod, getSignatureDigestAlgorithm, loadDocument, loadDocumentNoClose, postSign, preSign, setSignatureId, setSignatureNamespacePrefix, writeDocument, writeDocumentNoClosing, writeDocumentNoClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface be.fedict.eid.applet.service.spi.SignatureService
`postSign, preSign`

Constructor Detail

### AbstractASiCSignatureService

    public AbstractASiCSignatureService(InputStream documentInputStream,
                                        DigestAlgo digestAlgo,
                                        RevocationDataService revocationDataService,
                                        TimeStampService timeStampService,
                                        String claimedRole,
                                        IdentityDTO identity,
                                        byte[] photo,
                                        TemporaryDataStorage temporaryDataStorage,
                                        OutputStream documentOutputStream)
                                 throws IOException

Throws:
  `IOException`

Method Detail

### getSignatureDescription

    protected String getSignatureDescription()

  Description copied from class: `AbstractXmlSignatureService`
  Gives back the human-readable description of what the citizen will be signing. The default value is "XML Document". Override this method to provide the citizen with another description.

  Overrides:
    `getSignatureDescription` in class `AbstractXmlSignatureService`
  Returns:

### getFilesDigestAlgorithm

    public String getFilesDigestAlgorithm()

  Specified by:
    `getFilesDigestAlgorithm` in interface `SignatureService`

### getTemporaryDataStorage

    protected TemporaryDataStorage getTemporaryDataStorage()

  Description copied from class: `AbstractXmlSignatureService`
  Gives back a temporary data storage component. This component is used for temporary storage of the XML signature documents.

  Specified by:
    `getTemporaryDataStorage` in class `AbstractXmlSignatureService`
  Returns:

### getURIDereferencer

    protected URIDereferencer getURIDereferencer()

  Description copied from class: `AbstractXmlSignatureService`
  Override this method to change the URI dereferener used by the signing engine.

  Overrides:
    `getURIDereferencer` in class `AbstractXmlSignatureService`
  Returns:

### getSignedDocumentOutputStream

    protected OutputStream getSignedDocumentOutputStream()

  Description copied from class: `AbstractXmlSignatureService`
  Gives back the output stream to which to write the signed XML document.

  Specified by:
    `getSignedDocumentOutputStream` in class `AbstractXmlSignatureService`
  Returns:

### preSign

    public DigestInfo preSign(List<DigestInfo> digestInfos,
                              List<X509Certificate> signingCertificateChain,
                              IdentityDTO identity,
                              AddressDTO address,
                              byte[] photo)
                       throws NoSuchAlgorithmException

  Specified by:
    `preSign` in interface `SignatureServiceEx`
  Throws:
    `NoSuchAlgorithmException`

### getEnvelopingDocument

    protected Document getEnvelopingDocument()
                                      throws ParserConfigurationException,
                                             IOException,
                                             SAXException

  Description copied from class: `AbstractXmlSignatureService`
  Gives back the enveloping document. Return `null` in case ds:Signature should be the top-level element. Implementations can override this method to provide a custom enveloping document.

  Overrides:
    `getEnvelopingDocument` in class `AbstractXmlSignatureService`
  Returns:
  Throws:
    `IOException`
    `SAXException`
    `ParserConfigurationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 FedICT. All Rights Reserved.